# DEMedicalPlanDoctorFieldType enum

German medical plan document doctor information description field type

Inheritance
  - Object
  - Enum
  - DEMedicalPlanDoctorFieldType

## Constructors

DEMedicalPlanDoctorFieldType()
  const

## Values

IssuerName → const DEMedicalPlanDoctorFieldType
DoctorNumber → const DEMedicalPlanDoctorFieldType
PharmacyID → const DEMedicalPlanDoctorFieldType
HospitalID → const DEMedicalPlanDoctorFieldType
Street → const DEMedicalPlanDoctorFieldType
PostalCode → const DEMedicalPlanDoctorFieldType
Place → const DEMedicalPlanDoctorFieldType
TelephoneNumber → const DEMedicalPlanDoctorFieldType
Email → const DEMedicalPlanDoctorFieldType
IssuingDateAndTime → const DEMedicalPlanDoctorFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DEMedicalPlanDoctorFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[IssuerName, DoctorNumber, PharmacyID, HospitalID, Street, PostalCode, Place, TelephoneNumber, Email, IssuingDateAndTime]`